## Package org.junit.runner.notification

Provides information about a test run.

See:
Description

Class Summary
Failure: A `Failure` holds a description of the failed test and the exception that was thrown while running it.
RunListener: Register an instance of this class with `RunNotifier` to be notified of events that occur during a test run.
RunNotifier: If you write custom runners, you may need to notify JUnit of your progress running tests.

Exception Summary
StoppedByUserException: Thrown when a user has requested that the test run stop.

Annotation Types Summary
RunListener.ThreadSafe: Indicates a `RunListener` that can have its methods called concurrently.

## Package org.junit.runner.notification Description

Provides information about a test run.

Since:
  4.0

Copyright © 2002–2020 JUnit. All rights reserved.